Skip to main content
`Ctrl`+`K`
scipy.io.

# mminfo

scipy.io.mminfo(source)

  Return size and storage parameters from Matrix Market file-like ‘source’.

  Parameters:
    source str or file-like

      Matrix Market filename (extension .mtx) or open file-like object

  Returns:
    rows int

      Number of matrix rows.

    cols int

      Number of matrix columns.

    entries int

      Number of non-zero entries of a sparse matrix or rows*cols for a dense matrix.

    format str

      Either ‘coordinate’ or ‘array’.

    field str

      Either ‘real’, ‘complex’, ‘pattern’, or ‘integer’.

    symmetry str

      Either ‘general’, ‘symmetric’, ‘skew-symmetric’, or ‘hermitian’.

  Notes

  Changed in version 1.12.0: C++ implementation.

  Examples

      >>> from io import StringIO
      >>> from scipy.io import mminfo

      >>> text = '''%%MatrixMarket matrix coordinate real general
      ...  5 5 7
      ...  2 3 1.0
      ...  3 4 2.0
      ...  3 5 3.0
      ...  4 1 4.0
      ...  4 2 5.0
      ...  4 3 6.0
      ...  4 4 7.0
      ... '''

  `mminfo(source)` returns the number of rows, number of columns, format, field type and symmetry attribute of the source file.

      >>> mminfo(StringIO(text))
      (5, 5, 7, 'coordinate', 'real', 'general')